package com.jeesharp.business.modules.food.application;

import com.jeesharp.business.modules.food.service.FoodStatisticsService;
import com.jeesharp.business.modules.food.vo.FoodCompanyMealStatisticsVO;
import com.jeesharp.business.modules.food.vo.FoodDishSalesStatisticsVO;
import com.jeesharp.business.modules.food.vo.FoodOrderStatisticsVO;
import com.jeesharp.business.modules.food.vo.FoodPaymentStatisticsVO;
import com.jeesharp.business.modules.food.vo.FoodStatisticsQueryVO;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@AllArgsConstructor
@Transactional(readOnly = true)
public class FoodStatisticsApplicationService {

    private final FoodStatisticsService foodStatisticsService;

    public List<FoodOrderStatisticsVO> orderStatistics(FoodStatisticsQueryVO query) {
        return foodStatisticsService.orderStatistics(query);
    }

    public List<FoodPaymentStatisticsVO> paymentStatistics(FoodStatisticsQueryVO query) {
        return foodStatisticsService.paymentStatistics(query);
    }

    public List<FoodCompanyMealStatisticsVO> companyMealStatistics(FoodStatisticsQueryVO query) {
        return foodStatisticsService.companyMealStatistics(query);
    }

    public List<FoodDishSalesStatisticsVO> dishSalesStatistics(FoodStatisticsQueryVO query) {
        return foodStatisticsService.dishSalesStatistics(query);
    }
}
